Page MenuHomeFreeBSD

lang/rust: Update to 1.40.0
ClosedPublic

Authored by tobik on Dec 16 2019, 9:25 PM.

Details

Summary
Test Plan

11.3 i386 ok, consumers ok
12.0 amd64 ok, consumers ok
13.0 amd64 ok
armv6 ok
armv7 ok
arm64 ok
powerpc64 elfv1 ok
powerpc64 elfv2 ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Dec 16 2019, 9:25 PM
tobik edited the test plan for this revision. (Show Details)Dec 16 2019, 10:51 PM

If www/firefox et al. need patching again pick up Mk/bsd.gecko.mk bit from D22781. ;)

tobik updated this revision to Diff 65741.Dec 17 2019, 8:57 AM
  • Rebase
  • racer to 2.1.29
tobik edited the test plan for this revision. (Show Details)Dec 17 2019, 9:00 AM

I have some problems with the ppc bootstrap files: the elfv2 one is actually elfv1 and the txz generated tarballs are corrupts (do you have the problem on amd64?) :

tar tf rustc-1.39.0-src/build/dist/cargo-0.40.0-powerpc64-unknown-freebsd.tar.xz
tar: Error opening archive: Lzma library error: Corrupted input data

I'm regenerating the elfv2 bootstrap.

tobik added a comment.Dec 17 2019, 9:31 AM
In D22843#500264, @mikael.urankar_gmail.com wrote:

I have some problems with the ppc bootstrap files: the elfv2 one is actually elfv1 and the txz generated tarballs are corrupts (do you have the problem on amd64?) :

tar tf rustc-1.39.0-src/build/dist/cargo-0.40.0-powerpc64-unknown-freebsd.tar.xz
tar: Error opening archive: Lzma library error: Corrupted input data

Yeah, all the elfv1 bootstraps seem to be corrupt.

I'm regenerating the elfv2 bootstrap.

Thank you. Let me know when I should refetch them.

tobik edited the test plan for this revision. (Show Details)Dec 17 2019, 1:03 PM
tobik added a comment.Dec 17 2019, 1:05 PM

If www/firefox et al. need patching again pick up Mk/bsd.gecko.mk bit from D22781. ;)

Thanks, that will definitely make patching less annoying in the future. Luckily the Gecko ports seem fine this time. :)

tobik edited the test plan for this revision. (Show Details)Dec 17 2019, 1:46 PM

Can you wipe out all the ppc bootstrap and refetch them please?

fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/cargo-0.40.0-powerpc64-unknown-freebsd-elfv1.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/cargo-0.40.0-powerpc64-unknown-freebsd-elfv2.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-powerpc64-unknown-freebsd-elfv1.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rust-std-1.39.0-powerpc64-unknown-freebsd-elfv1.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rust-std-1.39.0-powerpc64-unknown-freebsd-elfv2.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-powerpc64-unknown-freebsd-elfv1.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-powerpc64-unknown-freebsd-elfv2.tar.xz

SHA256 (cargo-0.40.0-powerpc64-unknown-freebsd-elfv1.tar.xz) = 707eef9bac71a44db8e1d64c70a771fbac1f81f7ca58a2e3025ec1cc4d263b18
SHA256 (cargo-0.40.0-powerpc64-unknown-freebsd-elfv2.tar.xz) = aeebed336e09121f4d8803b5b6c2814a0901773a65bce9bd091a06d6082ac978
SHA256 (rust-std-1.39.0-powerpc64-unknown-freebsd-elfv1.tar.xz) = 378efabaf53ff15165bda53509b40fb347e3f88275ca4cc81f4cfb185eed981e
SHA256 (rust-std-1.39.0-powerpc64-unknown-freebsd-elfv2.tar.xz) = fb83397a7b6abfcf292ed50f8c277617c2e77686778ca853ca2228f7aa5d7a84
SHA256 (rustc-1.39.0-powerpc64-unknown-freebsd-elfv1.tar.xz) = 0f0b89fb869a4ff856a3c3b971fa7bd0e317b2d567f5db994159e019100d7d23
SHA256 (rustc-1.39.0-powerpc64-unknown-freebsd-elfv2.tar.xz) = e615095f1fb2017938147da213d04444b785ae34128c4aa9099996f0de610a52
tobik updated this revision to Diff 65749.Dec 17 2019, 3:31 PM
tobik edited the test plan for this revision. (Show Details)
  • Update powerpc64 bootstraps (will take 1-2 h to properly sync)

*sigh*
So my bootstrap contains a leading "./" in the archived file name and it seems to confuse rust :/

tar tf cargo-0.40.0-aarch64-unknown-freebsd.tar.xz
./cargo-0.40.0-aarch64-unknown-freebsd

===>  Building for rust-1.40.0
cd /usr/ports/lang/rust/work/rustc-1.40.0-src &&  /usr/bin/env HOME="/usr/ports/lang/rust/work"  LIBGIT2_SYS_USE_PKG_CONFIG=1  LIBSSH2_SYS_USE_PKG_CONFIG=1  OPENSSL_DIR="/usr"  /usr/local/bin/python3.7 /usr/por
ts/lang/rust/work/rustc-1.40.0-src/x.py build  --verbose  --config ./config.toml  --jobs 4
extracting /usr/ports/lang/rust/work/rustc-1.40.0-src/build/cache/2019-11-07/rust-std-1.39.0-aarch64-unknown-freebsd.tar.xz
Traceback (most recent call last):
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/x.py", line 11, in <module>
    bootstrap.main()
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 909, in main
    bootstrap(help_triggered)
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 877, in bootstrap
    build.download_stage0()
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 367, in download_stage0
    self._download_stage0_helper(filename, pattern)
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 405, in _download_stage0_helper
    unpack(tarball, self.tarball_suffix, self.bin_root(), match=pattern, verbose=self.verbose)
  File "/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 126, in unpack
    shutil.rmtree(os.path.join(dst, fname))
  File "/usr/local/lib/python3.7/shutil.py", line 485, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/local/lib/python3.7/shutil.py", line 483, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/ports/lang/rust/work/rustc-1.40.0-src/build/aarch64-unknown-freebsd/stage0/rust-std-1.39.0-aarch64-unknown-freebsd'

I've regenerated the archives (it's ok for ppc*) :

fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/cargo-0.40.0-aarch64-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/cargo-0.40.0-armv6-unknown-freebsd.tar.xz 
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/cargo-0.40.0-armv7-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rust-std-1.39.0-aarch64-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rust-std-1.39.0-armv6-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rust-std-1.39.0-armv7-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-aarch64-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-armv6-unknown-freebsd.tar.xz
fetch http://mikael.urankar.free.fr/FreeBSD/rust/1.39.0/rustc-1.39.0-armv7-unknown-freebsd.tar.xz

SHA256 (cargo-0.40.0-aarch64-unknown-freebsd.tar.xz) = 184f64a67f05c23597f1b52ef13e31c5e12288032ccb94bddfc217f26b77c93f
SHA256 (cargo-0.40.0-armv6-unknown-freebsd.tar.xz) = 4c13fee359a77a73ce96f524c58198cca567971692b17e97e41ecb01fe70dc5c
SHA256 (cargo-0.40.0-armv7-unknown-freebsd.tar.xz) = 3acfcd4b7ce2a5d1646d0b53d453140d4a3b9216fcb66c435d1d4b83381b2499
SHA256 (rust-std-1.39.0-aarch64-unknown-freebsd.tar.xz) = 21372596cda35c4acdb11bab0e6d3f62f815a8166eb717e57e223548f3afee08
SHA256 (rust-std-1.39.0-armv6-unknown-freebsd.tar.xz) = 09bf68c8aaf0a4de36d7608e15001878ac048f1a9eda3bef7a66338b31bd1cd4
SHA256 (rust-std-1.39.0-armv7-unknown-freebsd.tar.xz) = 5469b9c844ac9e830d77715a988c3185f287962de9a2408513b89dac9662ac34
SHA256 (rustc-1.39.0-aarch64-unknown-freebsd.tar.xz) = 44098962a570e05d691d3b7c3337b873b1e1f22ac49fd19c0d5d3362c0008eb5
SHA256 (rustc-1.39.0-armv6-unknown-freebsd.tar.xz) = c1f014f8c4f804d413be842dba3655ab69ee70d663b25d1a0027224480e511f3
SHA256 (rustc-1.39.0-armv7-unknown-freebsd.tar.xz) = 5902ceb1aefbced859969a928c4ad15063a58e120d79a18cab37dc4d7384d591

100% failure on this one, sorry for the mess.

The build is ok on ppc64 elfv2. I'll have the result for elfv1 and aarch64 tomorrow. Maybe thursday for armv6/7

tobik updated this revision to Diff 65762.Dec 17 2019, 10:59 PM
  • Update arm bootstraps (will take 1-2 h to sync)
tobik edited the test plan for this revision. (Show Details)Dec 17 2019, 11:01 PM
tobik edited the test plan for this revision. (Show Details)

It's ok on arm*, ppc*.

mikael accepted this revision.Dec 18 2019, 7:27 PM
tobik edited the test plan for this revision. (Show Details)Dec 19 2019, 6:14 AM
tobik updated this revision to Diff 65807.Dec 19 2019, 6:14 AM
  • Rebase
tobik accepted this revision.Dec 19 2019, 6:20 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 19 2019, 4:15 PM
Closed by commit rP520446: lang/rust: Update to 1.40.0 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.